<?php get_header() ?>

	<?php do_action( 'bp_before_create_blog_content' ) ?>

<!-- Main Content container for page will starting from here -->
<section id="main-content">

	<div id="content" class="content-wrap sft-framed-item"><!-- Content Wrap -->
		<div class="sft-framed-inner">

		<?php do_action( 'template_notices' ) ?>

		<h3><?php _e( 'Create a Blog', 'buddypress' ) ?> &nbsp;<a class="button" href="<?php echo bp_get_root_domain() . '/' . BP_BLOGS_SLUG . '/' ?>"><?php _e( 'Blogs Directory', 'buddypress' ) ?></a></h3>

		<?php do_action( 'bp_before_create_blog_content' ) ?>

		<?php if ( bp_blog_signup_enabled() ) : ?>

			<?php bp_show_blog_signup_form() ?>

		<?php else: ?>

			<div id="message" class="info">
				<p><?php _e( 'Blog registration is currently disabled', 'buddypress' ); ?></p>
			</div>

		<?php endif; ?>

		<?php do_action( 'bp_after_create_blog_content' ) ?>

			<div class="clear"></div>
		</div><!-- end content inner -->
	</div>

</section>
<!-- End of page container -->
<?php get_footer(); ?>

