<?php

//this variable is for determining the template directory
$themesDir = get_option('template');
$themesURL = get_option('siteurl').'/wp-content/themes/'.get_option('template');

// initialize url site
define('WP_SITES_URL', get_option('siteurl'));

// Defince function folder
define('TK_FUNC_DIR',   TEMPLATEPATH    . '/functions');
define('TK_FUNC_URL',   $themesURL      . '/functions');

// Defince include folder
define('TK_INC_DIR',   TEMPLATEPATH     . '/includes');
define('TK_INC_URL',   $themesURL       . '/incluces');

################################################################################
// Actions + Filters
################################################################################

    // Remove links to the extra feeds (e.g. category feeds)
    remove_action( 'wp_head', 'feed_links_extra', 3 );
    // Remove links to the general feeds (e.g. posts and comments)
    remove_action( 'wp_head', 'feed_links', 2 );
    // Remove link to the RSD service endpoint, EditURI link
    remove_action( 'wp_head', 'rsd_link' );
    // Remove link to the Windows Live Writer manifest file
    remove_action( 'wp_head', 'wlwmanifest_link' );
    // Remove index link
    remove_action( 'wp_head', 'index_rel_link' );
    // Remove prev link
    remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 );
    // Remove start link
    remove_action( 'wp_head', 'start_post_rel_link', 10, 0 );
    // Display relational links for adjacent posts
    remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 );
    // Remove XHTML generator showing WP version
    remove_action( 'wp_head', 'wp_generator' );