<?php
/*
Template Name: Homepage
*/
?>

<?php get_header(); ?>
<!-- Main Content container for page will starting from here -->
<section id="main-content">
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
	<div id="top-content"><!-- Top Content -->
		<header>
			<h2><?php the_title(); ?></h2>
		</header>
		
		<section class="log-bar">
			<a href="#" class="signup">Sign-Up</a>
			<a href="#" class="login">Login</a>
		</section>
	</div><!-- End Top Content -->

	<div class="content-wrap"><!-- Content Wrap -->
	
		<div id="top-content-wrap">
	
			<div class="breadcrumbs">
				<?php tk_the_breadcrumb('/'); ?>
			</div>
			
			<div class="account-bar">
				<select name="account">
					<option>My Account</option>
					<option>My Profile</option>
					<option>Logout</option>
				</select>
			</div>
			
		<div class="entry">
			<?php do_shortcode('[productspage]'); ?>
		</div>
			
		</div>
		
	</div><!-- End Content Wrap -->

<?php endwhile; endif; ?>	

</section>
<!-- End of page container -->

<?php get_footer(); ?>