<?php
global $wp_query;	
/*
 * Most functions called in this page can be found in the wpsc_query.php file
 */
?>
<div id="default_products_page_container" class="wrap wpsc_container">

        <?php // wpsc_output_breadcrumbs(); ?>
	
	<?php do_action('wpsc_top_of_products_page'); // Plugin hook for adding things to the top of the products page, like the live search ?>
	<?php if(wpsc_display_categories()): ?>
	  <?php if(wpsc_category_grid_view()) :?>
			<div class="wpsc_categories wpsc_category_grid group">
				<?php wpsc_start_category_query(array('category_group'=> get_option('wpsc_default_category'), 'show_thumbnails'=> 1)); ?>
					<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_grid_item  <?php wpsc_print_category_classes_section(); ?>" title="<?php wpsc_print_category_name(); ?>">
						<?php wpsc_print_category_image(get_option('category_image_width'),get_option('category_image_height')); ?>
					</a>
					<?php wpsc_print_subcategory("", ""); ?>
				<?php wpsc_end_category_query(); ?>
				
			</div><!--close wpsc_categories-->
	  <?php else:?>
			<ul class="wpsc_categories">
			
				<?php wpsc_start_category_query(array('category_group'=>get_option('wpsc_default_category'), 'show_thumbnails'=> get_option('show_category_thumbnails'))); ?>
					<li>
							<?php wpsc_print_category_image(get_option('category_image_width'), get_option('category_image_height')); ?>

							<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_link <?php wpsc_print_category_classes_section(); ?>" title="<?php wpsc_print_category_name(); ?>"><?php wpsc_print_category_name(); ?></a>
							<?php if(wpsc_show_category_description()) :?>
									<?php wpsc_print_category_description("<div class='wpsc_subcategory'>", "</div>"); ?>
							<?php endif;?>

							<?php wpsc_print_subcategory("<ul>", "</ul>"); ?>
					</li>
				<?php wpsc_end_category_query(); ?>
			</ul>
		<?php endif; ?>
	<?php endif; ?>
        <?php // */ ?>
	
	<?php if(wpsc_display_products()): ?>
		
		<?php if(wpsc_is_in_category()) : ?>
			<div class="wpsc_category_details">
				<?php if(wpsc_show_category_thumbnails()) : ?>
					<img src="<?php echo wpsc_category_image(); ?>" alt="<?php echo wpsc_category_name(); ?>" />
				<?php endif; ?>
				
				<?php if(wpsc_show_category_description() &&  wpsc_category_description()) : ?>
					<?php echo wpsc_category_description(); ?>
				<?php endif; ?>
			</div><!--close wpsc_category_details-->
		<?php endif; ?>
		<?php if(wpsc_has_pages_top()) : ?>
			<div class="wpsc_page_numbers_top">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_top-->
		<?php endif; ?>		
		
	
		<div class="wpsc_default_product_list">
		<?php /** start the product loop here */?>
		<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
					
			<div class="default_product_display product_view_<?php echo wpsc_the_product_id(); ?> <?php echo wpsc_category_class(); ?> group">   
			
			<!-- Left Product -->
			<div class="left-product">
				<?php if(wpsc_show_thumbnails()) :?>
				<div class="imagecol" id="imagecol_<?php echo wpsc_the_product_id(); ?>">
					<?php if(wpsc_the_product_thumbnail()) : ?>
						<a rel="<?php echo wpsc_the_product_title(); ?>" class="<?php echo wpsc_the_product_image_link_classes(); ?>" href="<?php echo wpsc_the_product_image(); ?>">
							<img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(get_option('product_image_width'), get_option('product_image_height')); ?>"/>
						</a>
					<?php else: ?>
						<a href="<?php echo wpsc_the_product_permalink(); ?>">
								<img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="No Image" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo WPSC_CORE_THEME_URL; ?>wpsc-images/noimage.png" width="<?php echo get_option('product_image_width'); ?>" height="<?php echo get_option('product_image_height'); ?>" />
						</a>
					<?php endif; ?>
				</div><!--close imagecol-->
			<?php endif; ?>
			</div>
			<!-- End Left Product -->
			
			
			<!-- Right Product -->
			<div class="right-product">
			
				<h2 class="prodtitle entry-title">
                                    <?php if(get_option('hide_name_link') == 1) : ?>
                                            <?php echo wpsc_the_product_title(); ?>
                                    <?php else: ?>
                                            <a class="wpsc_product_title" href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
                                    <?php endif; ?>
				</h2>  

				<div class="productcol">

                                        <div class="wpsc_cat">
                                                <?php echo get_the_term_list( $post->ID, 'wpsc_product_category', '', ', ', '' ); ?>
                                        </div>

										
										
										
										
                                        <?php do_action('wpsc_product_addons', wpsc_the_product_id()); ?>

										
										
										
                                        <?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
                                                <?php $action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
                                        <?php else: ?>
                                                <?php $action = htmlentities(wpsc_this_page_url(), ENT_QUOTES, 'UTF-8' ); ?>
                                        <?php endif; ?>

                                        <form class="product_form"  enctype="multipart/form-data" action="<?php echo $action; ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>" id="product_<?php echo wpsc_the_product_id(); ?>" >

                                                <?php /** the variation group HTML and loop */?>
                                                <?php if (wpsc_have_variation_groups()) { ?>
													<fieldset><legend><?php _e('Product Options', 'tokokoo'); ?></legend>
														<div class="wpsc_variation_forms">
															<table>
																<?php while (wpsc_have_variation_groups()) : wpsc_the_variation_group(); ?>
																	<tr><td class="col1"><label for="<?php echo wpsc_vargrp_form_id(); ?>"><?php echo wpsc_the_vargrp_name(); ?>:</label></td>
																	<?php /** the variation HTML and loop */?>
																	<td class="col2"><select class="wpsc_select_variation" name="variation[<?php echo wpsc_vargrp_id(); ?>]" id="<?php echo wpsc_vargrp_form_id(); ?>">
																	<?php while (wpsc_have_variations()) : wpsc_the_variation(); ?>
																	<option value="<?php echo wpsc_the_variation_id(); ?>" <?php echo wpsc_the_variation_out_of_stock(); ?>><?php echo wpsc_the_variation_name(); ?></option>
																	<?php endwhile; ?>
																	</select></td></tr>
																<?php endwhile; ?>
															</table>
														</div><!--close wpsc_variation_forms-->
													</fieldset>
                                                <?php } ?>
                                                <?php /** the variation group HTML and loop ends here */?>

                                                <div class="wpsc_product_price">
                                                        <p class="pricedisplay product_<?php echo wpsc_the_product_id(); ?>"><span id='product_price_<?php echo wpsc_the_product_id(); ?>' class="currentprice pricedisplay"><?php echo wpsc_the_product_price(); ?></span></p>
                                                </div><!--close wpsc_product_price-->

                                                <input type="hidden" value="add_to_cart" name="wpsc_ajax_action"/>
                                                <input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id"/>

                                                <?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
                                                        <?php if(wpsc_product_has_stock()) : ?>
                                                                <div class="wpsc_buy_button_container">
                                                                        <div class="wpsc_loading_animation">
                                                                                <img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
                                                                                <?php _e('Updating cart...', 'tokokoo'); ?>
                                                                        </div><!--close wpsc_loading_animation-->
                                                                                <?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
                                                                                <?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
                                                                                <input class="wpsc_buy_button" type="submit" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( 'Buy Now', 'tokokoo' ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
                                                                                <?php else: ?>
                                                                        <input type="submit" value="<?php _e('Add To Cart', 'tokokoo'); ?>" name="Buy" class="wpsc_buy_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button"/>
                                                                                <?php endif; ?>
                                                                </div><!--close wpsc_buy_button_container-->
                                                        <?php endif ; ?>
                                                <?php endif ; ?>
                                                <div class="entry-utility wpsc_product_utility">
                                                        <?php edit_post_link( __( 'Edit', 'tokokoo' ), '<span class="edit-link">', '</span>' ); ?>
                                                </div>
                                                                
                                        </form><!--close product_form-->

					<?php // */ ?>
					
				</div><!--close productcol-->

                                <span class="sale"><?php _e('Sale', 'tokokoo'); ?></span>
                                
			</div>
			<!-- End Right Product -->
			
		</div><!--close default_product_display-->

		<?php endwhile; ?>
		<?php /** end the product loop here */?>
		</div>


		<?php if(wpsc_product_count() == 0):?>
			<h3><?php  _e('There are no products in this group.', 'tokokoo'); ?></h3>
		<?php endif ; ?>

                <?php do_action( 'wpsc_theme_footer' ); ?>

		<?php if(wpsc_has_pages_bottom()) : ?>
			<div class="wpsc_page_numbers_bottom">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_bottom-->
		<?php endif; ?>
                        
	<?php endif; ?>
                        
</div><!--close default_products_page_container-->
