<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
    <!-- An article post-<?php the_ID(); ?> creation -->
	<article <?php post_class() ?> id="post-<?php the_ID(); ?>">
		
		<?php if ( has_post_thumbnail() ) { ?>
		<div class="thumb left-content">
			<?php the_post_thumbnail(array(100,100), array('class' => 'alignleft post_thumbnail'));  ?>
		</div>
		<?php } ?>
		
		<div class="right-content"><!-- Right Content -->
		
			<header>
				<hgroup>
					<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
					<?php the_title(); ?></a></h2>  
				</hgroup>
			</header>
			
			<time datetime="<?php the_time('Y-m-d')?>"><?php the_time('F jS, Y') ?></time>
			<span class="cat-posts"><?php if (function_exists('parentless_categories')) parentless_categories(','); else the_category( ', ', 'multiple' ); ?></span>
			<span class="post-author"><?php the_author_posts_link(); ?></span>
			
			<div class="entry-excerpt"><?php the_excerpt(); ?></div>
		
		</div><!-- End Right Content -->

	</article>
    <!-- End of article post-<?php the_ID(); ?> -->
	
<?php endwhile; else: ?>
	<p><?php _e('Sorry, no posts matched your criteria.', 'tokokoo'); ?></p>
<?php endif; ?>


<?php if (tk_show_posts_nav()) : ?>
<nav class="paging" role="page pagination">
	<?php if(function_exists('wp_pagenavi')) : wp_pagenavi(); else : ?>
		<div class="prev"><?php next_posts_link('&laquo; Previous Posts') ?></div>
		<div class="next"><?php previous_posts_link('Next Posts &raquo;') ?></div>
	<?php endif; ?>
</nav>

<?php endif; ?>