<?php get_header(); ?>

<!-- Main Content container for page will starting from here -->
<section id="main-content">

	<div class="content-wrap"><!-- Content Wrap -->
	
		<div class="breadcrumbs">
			<?php tk_the_breadcrumb('/'); ?>
		</div>
	
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<article <?php post_class() ?> id="post-<?php the_ID(); ?>">
		<header>
			<h2><?php the_title(); ?></h2>
		</header>
        		
		<?php
		if ( $show_subpages =='yes' ) {
			$subpages = wp_list_pages('title_li=&child_of='.$post->ID.'&echo=0&sort_column=menu_order&depth=1');
			if ($subpages) echo '<nav id="subpages"><ul>' . str_replace('</a>',' &rarr;</a>',$subpages) . '</ul></nav>';
		} ?>		
        
		<div class="entry"><?php the_content(''); ?></div>

	</article>
	
	<?php comments_template(); ?>

	</div>
	
<?php endwhile; endif; ?>

</section>
<!-- End of page container -->

<?php get_footer(); ?>