<?php get_header(); ?>

<!-- Main content container section for single page started -->
<section id="main-content">

	<div class="content-wrap"><!-- Content Wrap -->
	
		<div class="breadcrumbs">
			<?php tk_the_breadcrumb('/'); ?>
		</div>
	
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<article <?php post_class() ?> id="post-<?php the_ID(); ?>">
		<header>
			<h2 class="post-title"><?php the_title(); ?></h2>
			<aside id="post-meta-<?php the_ID(); ?>" class="post-meta">
                <time datetime="<?php the_time('Y-m-d')?>">Posted <?php the_time('F jS, Y') ?></time>
                <span class="author">by <?php the_author() ?></span> &middot; 
                <?php if ( comments_open() ) : ?>
                    <a class="comment" href="<?php the_permalink(); ?>#comments"><?php comments_number('0 Comments', '1 Comment', '% Comments'); ?></a>
				<?php endif; ?> &middot;  
				<?php if (function_exists('parentless_categories')) parentless_categories(','); else the_category( ', ', 'multiple' ); ?>
            </aside>
		</header>
		
		<div class="entry"><?php the_content(''); ?></div>
		
		<footer>
			<?php the_tags('<span class="tags">Tags: ', ', ', '</span>'); ?>
		</footer>
	</article>
	
	<?php comments_template(); ?>
	
	</div>
	
<?php endwhile; endif; ?>

</section>
<!-- End of single page section -->

<?php get_footer(); ?>