<?php
/*
 Template Name: FaceBook Page
 */

        define('TK_FB_DIR',   TK_INC_DIR        . '/facebook');

        require_once TK_FB_DIR . '/src/facebook.php';

        // Create our Application instance.
        $facebook = new Facebook(array(
              'appId'   => '222211707819965',
              'secret'  => '4b6e81ca0bf9b886fd5f58d77479c7f0',
              'cookie'  => true,
        ));

?>

<?php get_header(); ?>

<div id="default_products_page_container" class="wrap wpsc_container">
<!-- Main Content container for page will starting from here -->
<section id="main-content">

	<div class="content-wrap"><!-- Content Wrap -->

		<div class="breadcrumbs">
			<?php tk_the_breadcrumb('/'); ?>
		</div>

<?php
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
        $args=array(
                'orderby'   => 'date',
                'order'     => 'DESC',
                'paged'     => $paged,
                'post_type' => 'wpsc-product'
        );
        $temp       = $wp_query;  // assign orginal query to temp variable for later use
        $wp_query   = null;
        $wp_query   = new WP_Query($args);
?>
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<div class="default_product_display product_view_<?php echo wpsc_the_product_id(); ?> <?php echo wpsc_category_class(); ?> group">

			<!-- Left Product -->
			<div class="left-product">
				<?php if(wpsc_show_thumbnails()) :?>
				<div class="imagecol" id="imagecol_<?php echo wpsc_the_product_id(); ?>">
					<?php if(wpsc_the_product_thumbnail()) : ?>
						<a rel="<?php echo wpsc_the_product_title(); ?>" class="<?php echo wpsc_the_product_image_link_classes(); ?>" href="<?php echo wpsc_the_product_image(); ?>">
							<img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(get_option('product_image_width'), get_option('product_image_height')); ?>"/>
						</a>
					<?php else: ?>
						<a href="<?php echo wpsc_the_product_permalink(); ?>">
								<img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="No Image" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo WPSC_CORE_THEME_URL; ?>wpsc-images/noimage.png" width="<?php echo get_option('product_image_width'); ?>" height="<?php echo get_option('product_image_height'); ?>" />
						</a>
					<?php endif; ?>
				</div><!--close imagecol-->
			<?php endif; ?>
			</div>
			<!-- End Left Product -->


			<!-- Right Product -->
			<div class="right-product">

				<h2 class="prodtitle entry-title">
                                    <?php if(get_option('hide_name_link') == 1) : ?>
                                            <?php echo wpsc_the_product_title(); ?>
                                    <?php else: ?>
                                            <a class="wpsc_product_title" href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
                                    <?php endif; ?>
				</h2>

				<div class="productcol">

                                        <div class="wpsc_cat">
                                                <?php echo get_the_term_list( $post->ID, 'wpsc_product_category', '', ', ', '' ); ?>
                                        </div>

                                        <?php /* <div class="wpsc_description">
                                                <?php echo tk_cut_text(wpsc_the_product_description(), 30); ?>
                                        </div> */ ?><!--close wpsc_description-->

                                        <?php
                                        //do_action('wpsc_product_before_description', wpsc_the_product_id(), $wp_query->post);
                                        do_action('wpsc_product_addons', wpsc_the_product_id());
                                        ?>

                                        <?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
                                                <?php $action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
                                        <?php else: ?>
                                                <?php $action = htmlentities(wpsc_this_page_url(), ENT_QUOTES, 'UTF-8' ); ?>
                                        <?php endif; ?>

                                        <form class="product_form"  enctype="multipart/form-data" action="<?php echo $action; ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>" id="product_<?php echo wpsc_the_product_id(); ?>" >

                                                <div class="wpsc_product_price">
                                                        <p class="pricedisplay product_<?php echo wpsc_the_product_id(); ?>"><?php _e('', 'wpsc'); ?> <span id='product_price_<?php echo wpsc_the_product_id(); ?>' class="currentprice pricedisplay"><?php echo wpsc_the_product_price(); ?></span></p>
                                                </div><!--close wpsc_product_price-->

                                                <input type="hidden" value="add_to_cart" name="wpsc_ajax_action"/>
                                                <input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id"/>

                                                <?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
                                                        <?php if(wpsc_product_has_stock()) : ?>
                                                                <div class="wpsc_buy_button_container">
                                                                        <div class="wpsc_loading_animation">
                                                                                <img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
                                                                                <?php _e('Updating cart...', 'wpsc'); ?>
                                                                        </div><!--close wpsc_loading_animation-->
                                                                                <?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
                                                                                <?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
                                                                                <input class="wpsc_buy_button" type="submit" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( 'Buy Now', 'wpsc' ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
                                                                                <?php else: ?>
                                                                        <input type="submit" value="<?php _e('Add To Cart', 'wpsc'); ?>" name="Buy" class="wpsc_buy_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button"/>
                                                                                <?php endif; ?>
                                                                </div><!--close wpsc_buy_button_container-->
                                                        <?php endif ; ?>
                                                <?php endif ; ?>
                                                <div class="entry-utility wpsc_product_utility">
                                                        <?php edit_post_link( __( 'Edit', 'wpsc' ), '<span class="edit-link">', '</span>' ); ?>
                                                </div>

                                        </form><!--close product_form-->

					<?php // */ ?>

				</div><!--close productcol-->

                                <span class="sale"><?php _e('Sale', 'wpsc'); ?></span>

			</div>
			<!-- End Right Product -->

		</div><!--close default_product_display-->

<?php endwhile; else: ?>
	<p><?php _e('Sorry, no posts matched your criteria.', 'starterpack'); ?></p>
<?php endif; ?>


<?php if (tk_show_posts_nav()) : ?>
<nav class="paging" role="page pagination">
	<?php if(function_exists('wp_pagenavi')) : wp_pagenavi(); else : ?>
		<div class="prev"><?php next_posts_link('&laquo; Previous Posts') ?></div>
		<div class="next"><?php previous_posts_link('Next Posts &raquo;') ?></div>
	<?php endif; ?>
</nav>

<?php endif; ?>

</section>
<!-- End of page container -->
</div><!--close default_products_page_container-->

<?php $wp_query = $temp; ?>

<?php get_footer(); ?>